Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.objects.validation.exception
Class ValidationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.mdm.index.master.EViewException
                  com.sun.mdm.index.master.UserException
                      com.sun.mdm.index.objects.validation.exception.ValidationException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  InvalidContraintByField, InvalidReferencedCode, InvalidReferencedModule, MaximumConstraintException, MinimumConstraintException, MissingValueOnRequiredError, NoNullValueError, NullObjectException, PatternMismatchedException, UnknownDataTypeException, UpdateNotAllowedException, ValueToBigException

public class ValidationException
extends UserException

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`ValidationException()` Creates a new instance of ValidationException without detail message.
`ValidationException(java.lang.String msg)` Constructs an instance of `ValidationException` with the specified detail message.
`ValidationException(java.lang.String systemCode, java.lang.String systemDesc, java.lang.String format, java.lang.String id, java.lang.String msg)` Constructs an instance of `ValidationException` with the specified detail message.
`ValidationException(java.lang.String msg, java.lang.Throwable t)`
`ValidationException(java.lang.Throwable t)`

Method Summary
`java.lang.String` | `getFormat()` Getter for the format.
`java.lang.String` | `getId()` Getter for the ID.
`java.lang.String` | `getSystemCode()` Getter for the systemCode.
`java.lang.String` | `getSystemDescription()` Getter for the systemDescription.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidationException

    public ValidationException()

  Creates a new instance of ValidationException without detail message.

### ValidationException

    public ValidationException(java.lang.String msg)

  Constructs an instance of `ValidationException` with the specified detail message.

  Parameters:
    `msg` - the detail message.

### ValidationException

    public ValidationException(java.lang.String systemCode,
                               java.lang.String systemDesc,
                               java.lang.String format,
                               java.lang.String id,
                               java.lang.String msg)

  Constructs an instance of `ValidationException` with the specified detail message.

  Parameters:
    `systemCode` - the system code.
    `systemDesc` - the system description.
    `format` - the expected format.
    `id` - the ID to validate.
    `msg` - the detail message.

### ValidationException

    public ValidationException(java.lang.String msg,
                               java.lang.Throwable t)

  Parameters:
    `msg` - the detail message.
    `t` - thrown exception

### ValidationException

    public ValidationException(java.lang.Throwable t)

  Parameters:
    `t` - thrown exception

Method Detail

### getFormat

    public java.lang.String getFormat()

  Getter for the format.

  Returns:
    the expected format

### getId

    public java.lang.String getId()

  Getter for the ID.

  Returns:
    the ID

### getSystemCode

    public java.lang.String getSystemCode()

  Getter for the systemCode.

  Returns:
    the system code

### getSystemDescription

    public java.lang.String getSystemDescription()

  Getter for the systemDescription.

  Returns:
    the system description

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.